Skip to main content
GET
Get one miscellaneous operation
Learn more:
  • What is a journal entry? ↗
  • How to select the right accounts in journal entries? ↗

Path Parameters

consumer_id
string<uuid>
required
operation_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Response

Successful Response

currency
string
required

Indicates the currency of the operation (e.g., EUR, USD).

Example:

"EUR"

lines
MiscellaneousOperationLine · object[]
required
journal_id
string
required

Indicates the journal used in for the operation.

Example:

"<accounting-journal-id>"

status
enum<string>
required
Available options:
cancelled,
draft,
posted,
matched
id
string
required
Example:

"<this-operation-id>"

operation_number
string | null
Example:

"OP-2026-0001"

currency_exchange_rate
number | null
default:1

Exchange rate from the transaction currency to the folder's base currency, at the date of the operation. Must be filled in when creating the operation in another currency from the folder's default currency.

operation_date
string<date> | null
default:1970-01-01

Accounting date of the miscellaneous operation. It is automatically set to '1970-01-01' if the value is not available/empty in the accounting system.

Example:

"2026-01-15"